/*
 * @Author: zwq
 * @Date: 2021-10-11 08:46:56
 * @LastEditors: zwq
 * @LastEditTime: 2021-10-12 14:03:01
 * @Description:
 */
import Vue from 'vue'
import Router from 'vue-router'
import taskInfo from '@/components/taskInfo'
import taskLog from '@/components/taskLog'
import equipmentMonitor from '@/components/equipment-monitor'
import main from '@/components/main'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'main',
      component: main,
      redirect:'/taskInfo',
      children:[
        {
          path: '/taskInfo',
          name: 'taskInfo',
          component: taskInfo
        },
        {
          path: '/taskLog',
          name: 'taskLog',
          component: taskLog
        },
        {
          path: '/equipmentMonitor',
          name: 'equipmentMonitor',
          component: equipmentMonitor
        },
      ]
    },
  ]
})
